/*
 * Copyright 2007 Kickmogu Co. Ltd. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */



/*
 * 作成日: 2007/01/17
 *
 */
package com.kickmogu.rhythm.timecard;

public class TimecardSummary {
	private int totalWorkMinutes;
	private int totalRestMinutes;
	private int totalSalariedMinutes;
	// 時給
	private int salaryPerHour;
	// 源泉前基本給与
	private int basicSalary;
	// 源泉額
	private int incomeTax;
	// 交通費対象日数
	private int transExpensesDay;
	// 交通費
	private int transExpenses;
	// 支給額
	private int finalSalary;
	
	/**
	 * @return basicSalary を戻します。
	 */
	public int getBasicSalary() {
		return basicSalary;
	}
	/**
	 * @param basicSalary basicSalary を設定。
	 */
	public void setBasicSalary(int basicSalary) {
		this.basicSalary = basicSalary;
	}
	/**
	 * @return finalSalary を戻します。
	 */
	public int getFinalSalary() {
		return finalSalary;
	}
	/**
	 * @param finalSalary finalSalary を設定。
	 */
	public void setFinalSalary(int finalSalary) {
		this.finalSalary = finalSalary;
	}
	/**
	 * @return incomeTax を戻します。
	 */
	public int getIncomeTax() {
		return incomeTax;
	}
	/**
	 * @param incomeTax incomeTax を設定。
	 */
	public void setIncomeTax(int incomeTax) {
		this.incomeTax = incomeTax;
	}
	/**
	 * @return salaryPerHour を戻します。
	 */
	public int getSalaryPerHour() {
		return salaryPerHour;
	}
	/**
	 * @param salaryPerHour salaryPerHour を設定。
	 */
	public void setSalaryPerHour(int salaryPerHour) {
		this.salaryPerHour = salaryPerHour;
	}
	/**
	 * @return totalRestMinutes を戻します。
	 */
	public int getTotalRestMinutes() {
		return totalRestMinutes;
	}
	/**
	 * @param totalRestMinutes totalRestMinutes を設定。
	 */
	public void setTotalRestMinutes(int totalRestMinutes) {
		this.totalRestMinutes = totalRestMinutes;
	}
	/**
	 * @return totalSalariedMinutes を戻します。
	 */
	public int getTotalSalariedMinutes() {
		return totalSalariedMinutes;
	}
	/**
	 * @param totalSalariedMinutes totalSalariedMinutes を設定。
	 */
	public void setTotalSalariedMinutes(int totalSalariedMinutes) {
		this.totalSalariedMinutes = totalSalariedMinutes;
	}
	/**
	 * @return totalWorkMinutes を戻します。
	 */
	public int getTotalWorkMinutes() {
		return totalWorkMinutes;
	}
	/**
	 * @param totalWorkMinutes totalWorkMinutes を設定。
	 */
	public void setTotalWorkMinutes(int totalWorkMinutes) {
		this.totalWorkMinutes = totalWorkMinutes;
	}
	/**
	 * @return transExpenses を戻します。
	 */
	public int getTransExpenses() {
		return transExpenses;
	}
	/**
	 * @param transExpenses transExpenses を設定。
	 */
	public void setTransExpenses(int transExpenses) {
		this.transExpenses = transExpenses;
	}
	/**
	 * @return transExpensesDay を戻します。
	 */
	public int getTransExpensesDay() {
		return transExpensesDay;
	}
	/**
	 * @param transExpensesDay transExpensesDay を設定。
	 */
	public void setTransExpensesDay(int transExpensesDay) {
		this.transExpensesDay = transExpensesDay;
	}
}
